<?php

namespace App\Http\Controllers\Twilio;

use App\Actions\Communications\HandleCallStatusCallbackAction;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class TwilioStatusController {
    public function __invoke(Request $request, HandleCallStatusCallbackAction $action): Response {
        $action->handle($request->all());

        return response('', 204);
    }
}